Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QMdiArea.AreaOption

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QMdiArea.AreaOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QMdiArea

    public static final class QMdiArea.AreaOption

extends java.lang.Enum
implements QtEnumerator

This enum describes options that customize the behavior of the `QMdiArea`.

See Also:
  Serialized Form

Field Summary
`static QMdiArea.AreaOption` | `DontMaximizeSubWindowOnActivation` When the active subwindow is maximized, the default behavior is to maximize the next subwindow that is activated.

Method Summary
`static QMdiArea.AreaOptions` | `createQFlags(QMdiArea.AreaOption[] values)` This function creates a com.trolltech.qt.gui.QMdiArea$AreaOptions with the specified `com.trolltech.qt.gui.QMdiArea$AreaOption[]` AreaOption values set.
`static QMdiArea.AreaOption` | `resolve(int value)` Returns the AreaOption constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMdiArea.AreaOption` | `valueOf(java.lang.String name)`
`static QMdiArea.AreaOption[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DontMaximizeSubWindowOnActivation

    public static final QMdiArea.AreaOption DontMaximizeSubWindowOnActivation

  When the active subwindow is maximized, the default behavior is to maximize the next subwindow that is activated. Set this option if you do not want this behavior.

Method Detail

### values

    public static QMdiArea.AreaOption[] values()

### valueOf

    public static QMdiArea.AreaOption valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QMdiArea.AreaOptions createQFlags(QMdiArea.AreaOption[] values)

  This function creates a com.trolltech.qt.gui.QMdiArea$AreaOptions with the specified `com.trolltech.qt.gui.QMdiArea$AreaOption[]` AreaOption values set.

### resolve

    public static QMdiArea.AreaOption resolve(int value)

  Returns the AreaOption constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD